Skip to main content
`Ctrl`+`K`

# PetscOptionsFindPair

Gets an option name-value pair from the options database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsFindPair(PetscOptions options, const char pre[], const char name[], const char *value[], PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for the default global database

- pre - the string to prepend to the name or `NULL`, this SHOULD NOT have the “-” prepended

- name - name of option, this SHOULD have the “-” prepended

## Output Parameters

- value - the option value (optional, not used for all options)

- set - whether the option is set (optional)

## Note

Each process may find different values or no value depending on how options were inserted into the database

## See Also

`PetscOptionsSetValue()`, `PetscOptionsClearValue()`

## Level

developer

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages